Skip to main content
`Ctrl`+`K`

# NEPConv

The convergence criterion to be used by the solver.

## Synopsis

    typedef enum { NEP_CONV_ABS,
                   NEP_CONV_REL,
                   NEP_CONV_NORM,
                   NEP_CONV_USER } NEPConv;

## Values

- `NEP_CONV_ABS` - absolute convergence criterion, \(\|r\|\)

- `NEP_CONV_REL` - convergence criterion relative to eigenvalue, \(\|r\|/|\lambda|\)

- `NEP_CONV_NORM` - convergence criterion relative to matrix norms, \(\|r\|/(\sum_j|f_j(\lambda)|\|A_j\|)\)

- `NEP_CONV_USER` - convergence dictated by user-provided function

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetConvergenceTest()`, `NEPSetConvergenceTestFunction()`

## Level

intermediate

## Location

include/slepcnep.h

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages